« w3m が root でしか動かない。Can't load エラー。Linux Zaurus (4/23) | トップページ | ./perl: error while loading shared libraries: libexpat.so.1: cannot load shared object file: No such file or directory (4/25) »

2006.04.24

Perl 5.8.5 に戻す。dev_img-1.6 Linux Zaurus (4/24)

昨日、5.6 に戻した Perl ですが、CPANからのダウンロードがうまくいかないので、dev_img を dev_img-1.3 から dev_img-1.6 へあげたりしてみています。

とりあえず Perl 5.6 から Perl 5.8.5 に戻して CPAN からダウンロードしています。ときどき以下のエラーが出るので、直接 CPAN のサイトから検索して、 tar.gz を落として、perl Makefile.PL, make, make install でインストールしています。

以下のエラーが出たので、SHA.pm をrename して CPANのサイトから検索して他のDigest::SHA1, Digest::SHA::PurePel を tar.gz で落として、インストールをしたところ、以下のエラーは出なくなりました。

cpan> install XML::RSS
Running install for module XML::RSS
Running make for A/AB/ABH/XML-RSS-1.10.tar.gz
Undefined subroutine &Digest::SHA::shaopen called at /usr/local/lib/perl5/site_perl/5.8.5/armv5tel-linux/Digest/SHA.pm line 57.

Encode.pm は cpan> install Encode でインストールできました。

今は XML::RSSのインストールのため、sfからダウンロードした expat のインストール中。

|

« w3m が root でしか動かない。Can't load エラー。Linux Zaurus (4/23) | トップページ | ./perl: error while loading shared libraries: libexpat.so.1: cannot load shared object file: No such file or directory (4/25) »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/49099/9750399

この記事へのトラックバック一覧です: Perl 5.8.5 に戻す。dev_img-1.6 Linux Zaurus (4/24):

« w3m が root でしか動かない。Can't load エラー。Linux Zaurus (4/23) | トップページ | ./perl: error while loading shared libraries: libexpat.so.1: cannot load shared object file: No such file or directory (4/25) »